Code

- Added manpages to the right package this time ;-)
[gosa.git] / gosa-core / dh-make-gosa
index ecead6e0f2398c3537f18e8901256b6d3f0c78e1..b78b143d177e2824aafa4fc4837c4e52c7c598e4 100755 (executable)
@@ -19,7 +19,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 usage() {
-  echo "Usage: ${0##*/} [--download] [--section section name] [-b|--branch branch] [-e|--email mail] [--depends] plugin-dir|plugin.tar.gz" >&2
+  echo "Usage: ${0##*/} [--section section name] [-b|--branch branch] [-e|--email mail] [--depends] plugin-dir|plugin.tar.gz" >&2
   exit 1
 }
 
@@ -39,6 +39,7 @@ load_dsc() {
     PL_DESCRIPTION=$(sed -n 's/"//g;s/^description\s*=\s*\(.*\)$/\1/p' "$1")
     PL_AUTHOR=$(sed -n 's/"//g;s/^author\s*=\s*\([^<]*\).*$/\1/p' "$1")
     PL_MAIL=$(sed -n 's/"//g;s/^author\s*=[^<].*<\([^>]*\).*$/\1/p' "$1")
+    PL_HOMEPAGE=$(sed -n 's/"//g;s/^homepage\s*=\s*\(.*\)$/\1/p' "$1")
   else
     echo "Error: cannot find description file" >&2
     exit 1
@@ -124,7 +125,7 @@ elif [ -f "$file" ]; then
 
   # Untar
   mkdir -p "$TMPDIR"
-  tar --extract --directory "$TMPDIR" -fz "$file" &> /dev/null
+  tar --extract --directory "$TMPDIR" -fz "$file" >/dev/null 2>&1
   if [ $? -ne 0 ]; then
     echo "Error: cannot extract plugin file - invalid file format" >&2
     exit 5
@@ -154,17 +155,16 @@ echo "Depends:      $PL_DEPENDS"
 echo "Conflicts:    $PL_CONFLICTS"
 echo "Author name:  $PL_AUTHOR"
 echo "Author email: $PL_MAIL"
+echo "Homepage:     $PL_HOMEPAGE"
 echo
 read -s -n 1 -p "Do you want to continue? (y/n)" ans; echo
 [ "$ans" != "y" ] && exit 0
 
-pushd . &> /dev/null
-
 cd "$BUILD_PATH"
 
 # Use gosa-plugin skelleton
 echo "Calling dh_make..."
-echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz &> /dev/null
+echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
 if [ $? -ne 0 ]; then
        echo "Failed to call dh_make - aborting!"
        exit 1
@@ -174,13 +174,13 @@ echo "Apdapting debian descriptive files..."
 
 # Generate install file
 for dir in admin personal addons gofax gofon generic; do
-       [ -d $dir ] && printf "$dir\t\t\t/usr/share/gosa/plugins" >> debian/install
+       [ -d $dir ] && printf "$dir\t\t\t/usr/share/gosa/plugins\n" >> debian/install
 done
 for dir in help/*; do
-       printf "$dir\t\t\t/usr/share/gosa/doc/plugins/$PL_NAME" >> debian/install
+       printf "$dir\t\t\t/usr/share/gosa/doc/plugins/$PL_NAME\n" >> debian/install
 done
 for dir in $(ls -1 locale | grep -v "^en$" | grep -v "^messages.po$"); do
-       printf "locale/$dir\t\t\t/usr/share/gosa/locale/plugins/$PL_NAME" >> debian/install
+       printf "locale/$dir\t\t\t/usr/share/gosa/locale/plugins/$PL_NAME\n" >> debian/install
 done
 
 # Generate dirs
@@ -208,6 +208,8 @@ sed -i '/^Upstream/,/^$/d' debian/copyright
 # Adapt control
 sed -i "s#^Section: unknown#Section: $SECTION#g" debian/control
 sed -i 's/^Architecture: any/Architecture: all/g' debian/control
+sed -i "s#^Homepage: <insert the upstream URL, if relevant>#Homepage: $PL_HOMEPAGE#g" debian/control
+
 if [ "$PL_DEPENDS" ]; then
        sed -i "s/^Depends: .*$/Depends: gosa, $PL_DEPENDS/g" debian/control
 else
@@ -345,9 +347,7 @@ done\
 done
 
 # Remove examples
-rm debian/*ex debian/*EX &> /dev/null
-
-popd &> /dev/null
+rm debian/*ex debian/*EX >/dev/null 2>&1
 
 echo "Done."